Jump to content

[Resolu] kernel-source a besoin de bzip2 ?


Recommended Posts

Salut @ tous !!

je voudrais installer les sources de mon kernel de ma debian 3.1r1 (2.6.8) avec apt-get mais il me dis que c'est impossible sans bzip2 or j'ai essayé de l'installer sans succes (n00b inside ^^ :transpi: ) apt me dis qu'il n'est pas dispo sur les serveur et sur le net j'ai télécharger un fichier executable bzip2 mais j'ai pas réussit a m'en servire ...

encore une fois je fais apel au savoir infinie des nobles inpactiens !!! :yes:

merci d'avance !

Link to comment
Share on other sites

Salut @ tous !!

je voudrais installer les sources de mon kernel de ma debian 3.1r1 (2.6.8) avec apt-get mais il me dis que c'est impossible sans bzip2 or j'ai essayé de l'installer sans succes (n00b inside ^^ :transpi: ) apt me dis qu'il n'est pas dispo sur les serveur et sur le net j'ai télécharger un fichier executable bzip2 mais j'ai pas réussit a m'en servire ...

encore une fois je fais apel au savoir infinie des nobles inpactiens !!! :yes:

merci d'avance !

bunzip pas installé d'origine dans une debian ?????????

which bunzip2

ça te dit quoi ?

Link to comment
Share on other sites

aptitude install bzip2 me dis ceci :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Pas de version candidate trouvée pour bzip2
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
Écriture de l'information d'état étendu... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait

il le trouve pas ... :zarb:

ensuite

et le which bunzip2 me donne rien du tout

et quand je tape apt-get install kernel-source-2.6.8 voila ce que j'ai

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 kernel-source-2.6.8: Dépend: bzip2 mais il n'est pas installable
E: Paquets défectueux

:humour::smack::D:non::-D:D:pleure::pleure::pleure:

Link to comment
Share on other sites

Le terme "paquets détectueux" ne me dit rien qui vaille ...

J'ai déjà installer des debian qui sont rapidement arrivées en "Broken packages" et du coup, le système de package est à moitié par terre ...

Autant dire que la distrib est quasi inutilisable. J'espère que tu arriveras à te défaire de ce mauvais pas, moi je l'ai fait en passant à Gentoo lol

Link to comment
Share on other sites

putain le :mdr:

j' avais mis des "#" devant les lignes du source.list pour tester un truc :yes: ... et j'ai oublié de les enlever apres ..... :D

:-D

je sait ce qu'il me reste a faire .... :mdr:

en tout cas plus de probleme, tout s'installe correctement ...

merci de vos rep ... vraiment dsl du dérangement inutile ... :mdr:

Link to comment
Share on other sites

putain le :D

j' avais mis des "#" devant les lignes du source.list pour tester un truc :transpi: ... et j'ai oublié de les enlever apres ..... :sm:

:transpi:

je sait ce qu'il me reste a faire .... :arrow:

en tout cas plus de probleme, tout s'installe correctement ...

merci de vos rep ... vraiment dsl du dérangement inutile ... :D

Salut

Pas grave faut bien apprendre :D .

j' en ais fait des comme ça aussi et ça m'arrive encore :D

a+

Link to comment
Share on other sites

Le terme "paquets détectueux" ne me dit rien qui vaille ...

J'ai déjà installer des debian qui sont rapidement arrivées en "Broken packages" et du coup, le système de package est à moitié par terre ...

Autant dire que la distrib est quasi inutilisable. J'espère que tu arriveras à te défaire de ce mauvais pas, moi je l'ai fait en passant à Gentoo lol

Salut,

Je ne sais pas comment tu as fait. Moi j'ai installé plusieurs centaines de debian, dont une bonne majorité de Linux et une petite dizaine à titre personelle et j'ai jamais eu tout le système de paquet en rade. Pourtant j'ai fait de tout, des backports en mélageant les brances, des backports sur des sites officieux, des paquets maisons, des patchs à apt en unstable puis en expérimental.

Et paquets défectueux, c'est pas vraiment l'erreur de la mort. Me souvient en avoir eu, mais rien de bien méchant, j'ai jamais eu à réinstaller une distrib (sauf une qui s'est fait rooter, mais rien à voir avec les paquets).

Alors si toi tu as eu des debians qui sont mortes, permets moi de présumer que tu as du faire quelque chose de pas très catholique.

Link to comment
Share on other sites

Au pire un petit

apt-get -f install

pour corriger les erreurs sur les paquets, ça remet souvent les choses en place.

En fait le plus difficile, c'est les problèmes de dépendances circulaires quand tu passes par un

dpkg -i --force

mais là, tu ne peux t'en prendre qu'a toi même quand ça arrive. :cartonrouge:

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...